Platform O&M/Migration Service (Plus)/Migration Service Operations
PUTMigration Service OperationsSince 3.0.1SynchronousAuth Required
UpdateV2VConversionHost
UpdateV2VConversionHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatev2vconversionhostObjectRequiredupdatev2vconversionhost request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
storagePathStringOptional. The image storage path of the V2V migration.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/v2v-conversion-hosts/{uuid}/actions
/zstack/v1/v2v-conversion-hosts/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/v2v-conversion-hosts/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatev2vconversionhost":{"name":"<name>","description":"<description>","storagePath":"<storagePath>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "fae22298c74b381b9dc0abcb02e7a3d7", "name": "new-name", "description": "new description", "type": "VMWARE", "hostUuid": "fd0aa0e947d535f4985fd4fef8b309e7", "storagePath": "/path/to/large/directory/", "state": "Enabled" } }Change History
This API has no change history records yet.
